<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ProjectedCrosshair.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d05/_projected_crosshair_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ProjectedCrosshair.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d05/_projected_crosshair_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>ProjectedCrosshair <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">m_Position</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ae60142ee544fd9fecaaf6675d14dc4f0">m_Visible</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa1f09c4c7c67288750ccbe68fd8b4ee9">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa1f09c4c7c67288750ccbe68fd8b4ee9">m_Debug</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">m_Player</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9bbc75a1fc954bd32bb85ae5fd9ba34c">    9</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>   <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a9bbc75a1fc954bd32bb85ae5fd9ba34c">m_Weapon</a>;       </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aab9e8364bed32d13d1b016a75c2f289e">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aab9e8364bed32d13d1b016a75c2f289e">ProjectedCrosshair</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = NULL;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_Weapon = NULL;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d3/d14/group___entity_attributes.html#ga6bb84126575e0c4dae3bcbc7a9f9c582">m_Visible</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1a34bac077f48c00076ca1a276cceac5">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a1a34bac077f48c00076ca1a276cceac5">~ProjectedCrosshair</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a34c00b8b4ee15e59aeecb5654e00e3fe">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a34c00b8b4ee15e59aeecb5654e00e3fe">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a> = w;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">   34</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">Update</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#ifdef DEVELOPER</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a> = <a class="code hl_class" href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a>.<a class="code hl_function" href="../../dc/d49/group___diag_menu.html#ga7393b4dbcb2442ab520c89d54b390fed">GetBool</a>( <a class="code hl_enumeration" href="../../d9/dbc/_e_diag_menu_i_ds_8c.html#a85affb4d5021d4465be4205f8cd4e336">DiagMenuIDs</a>.DM_WEAPON_DEBUG_ENABLE );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a>) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>) <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsPlayerSelected() &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsRaised() &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsInIronsights() &amp;&amp; !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a73b8ac6cc5e889644db3924d00010c75">IsInventoryOpen</a>() )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordtype">float</span> sx, sy;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8fc81b1675b1fb7ec30c05853adadacd">GetCrosshairPosition</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> screenSpace = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a38e476f1a0254e1533d606f35719caef">GetScreenPos</a>(<a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.GetSize(sx, sy);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            screenSpace[0] = screenSpace[0] - sx/2;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            screenSpace[1] = screenSpace[1] - sy/2;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetPos(screenSpace[0], screenSpace[1]);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<a class="code hl_variable" href="../../d3/d14/group___entity_attributes.html#ga6bb84126575e0c4dae3bcbc7a9f9c582">m_Visible</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a> = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// getters</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">   64</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>());</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8fc81b1675b1fb7ec30c05853adadacd">   69</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8fc81b1675b1fb7ec30c05853adadacd">GetCrosshairPosition</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_variable" href="../../d3/d14/group___entity_attributes.html#ga6bb84126575e0c4dae3bcbc7a9f9c582">m_Visible</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> itemInHands;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        itemInHands = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetItemInHands();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span>( itemInHands &amp;&amp; itemInHands.IsWeapon() )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_Weapon, itemInHands) )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                <span class="comment">//m_Visible = MiscGameplayFunctions.GetProjectedCursorPos3d(m_Position, m_Weapon);</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>};</div>
<div class="ttc" id="a_day_z_game_8c_html_a73b8ac6cc5e889644db3924d00010c75"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a73b8ac6cc5e889644db3924d00010c75">IsInventoryOpen</a></div><div class="ttdeci">override bool IsInventoryOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l01068">DayZGame.c:1068</a></div></div>
<div class="ttc" id="a_e_diag_menu_i_ds_8c_html_a85affb4d5021d4465be4205f8cd4e336"><div class="ttname"><a href="../../d9/dbc/_e_diag_menu_i_ds_8c.html#a85affb4d5021d4465be4205f8cd4e336">DiagMenuIDs</a></div><div class="ttdeci">DiagMenuIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_e_diag_menu_i_ds_8c_source.html#l00001">EDiagMenuIDs.c:2</a></div></div>
<div class="ttc" id="a_effect_8c_html_af22d84c37bdac40df9bb3124b1724777"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#af22d84c37bdac40df9bb3124b1724777">m_Position</a></div><div class="ttdeci">protected vector m_Position</div><div class="ttdoc">Cached world position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00041">Effect.c:41</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_afe8f1adf44fe8362e05d28db314c024d"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#afe8f1adf44fe8362e05d28db314c024d">m_Debug</a></div><div class="ttdeci">protected bool m_Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00249">StaminaHandler.c:249</a></div></div>
<div class="ttc" id="aclass_c_game_html_a38e476f1a0254e1533d606f35719caef"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a38e476f1a0254e1533d606f35719caef">CGame::GetScreenPos</a></div><div class="ttdeci">proto native vector GetScreenPos(vector world_pos)</div><div class="ttdoc">Transforms position in world to position in screen in pixels as x, y component of vector,...</div></div>
<div class="ttc" id="aclass_c_game_html_a9004d9575e5b4d37044604767b0a8797"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">CGame::GetUpdateQueue</a></div><div class="ttdeci">ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01313">Game.c:1313</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="aclass_weapon___base_html"><div class="ttname"><a href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></div><div class="ttdoc">shorthand</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">BoltActionRifle_Base.c:6</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00103">EnConvert.c:103</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___diag_menu_html_d2/dd2/class_diag_menu"><div class="ttname"><a href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00232">EnDebug.c:233</a></div></div>
<div class="ttc" id="agroup___diag_menu_html_ga7393b4dbcb2442ab520c89d54b390fed"><div class="ttname"><a href="../../dc/d49/group___diag_menu.html#ga7393b4dbcb2442ab520c89d54b390fed">DiagMenu::GetBool</a></div><div class="ttdeci">static proto native bool GetBool(int id, bool reverse=false)</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___entity_attributes_html_ga6bb84126575e0c4dae3bcbc7a9f9c582"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#ga6bb84126575e0c4dae3bcbc7a9f9c582">m_Visible</a></div><div class="ttdeci">bool m_Visible</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00832">EnEntity.c:832</a></div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1a34bac077f48c00076ca1a276cceac5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1a34bac077f48c00076ca1a276cceac5">ScriptedWidgetEventHandler::~ProjectedCrosshair</a></div><div class="ttdeci">void ~ProjectedCrosshair()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00021">ProjectedCrosshair.c:21</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2d89e844cbfd9c622075b211b6794c5e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">ScriptedWidgetEventHandler::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00055">ActionTargetsCursor.c:55</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a34c00b8b4ee15e59aeecb5654e00e3fe"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a34c00b8b4ee15e59aeecb5654e00e3fe">ScriptedWidgetEventHandler::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00026">ProjectedCrosshair.c:26</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a47356c5957804e7c75007bd4070f4e08"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">ScriptedWidgetEventHandler::GetPlayer</a></div><div class="ttdeci">protected void GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00652">ActionTargetsCursor.c:652</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a64656374b51e5e4c4adc8f62ac770c16"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">ScriptedWidgetEventHandler::Update</a></div><div class="ttdeci">protected void Update()</div><div class="ttdoc">Update.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00034">ProjectedCrosshair.c:34</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8ecf1f084ff75ec07fefd5bbd8897672"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8ecf1f084ff75ec07fefd5bbd8897672">ScriptedWidgetEventHandler::m_Position</a></div><div class="ttdeci">protected vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d58/_c_t_keyframe_8c_source.html#l00007">CTKeyframe.c:7</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8fc81b1675b1fb7ec30c05853adadacd"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8fc81b1675b1fb7ec30c05853adadacd">ScriptedWidgetEventHandler::GetCrosshairPosition</a></div><div class="ttdeci">protected void GetCrosshairPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00069">ProjectedCrosshair.c:69</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9bbc75a1fc954bd32bb85ae5fd9ba34c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9bbc75a1fc954bd32bb85ae5fd9ba34c">ScriptedWidgetEventHandler::m_Weapon</a></div><div class="ttdeci">protected Weapon_Base m_Weapon</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00009">ProjectedCrosshair.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa1f09c4c7c67288750ccbe68fd8b4ee9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa1f09c4c7c67288750ccbe68fd8b4ee9">ScriptedWidgetEventHandler::m_Debug</a></div><div class="ttdeci">protected bool m_Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00006">ProjectedCrosshair.c:6</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aab9e8364bed32d13d1b016a75c2f289e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aab9e8364bed32d13d1b016a75c2f289e">ScriptedWidgetEventHandler::ProjectedCrosshair</a></div><div class="ttdeci">void ProjectedCrosshair()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d05/_projected_crosshair_8c_source.html#l00011">ProjectedCrosshair.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ae60142ee544fd9fecaaf6675d14dc4f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ae60142ee544fd9fecaaf6675d14dc4f0">ScriptedWidgetEventHandler::m_Visible</a></div><div class="ttdeci">protected bool m_Visible</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dce/_object_follower_8c_source.html#l00007">ObjectFollower.c:7</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">proto native volatile void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00122">PlayerSoundManager.c:122</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dc/d05/_projected_crosshair_8c.html">ProjectedCrosshair.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
